<mamecheat version="1">

  <cheat desc="Infinite Time [Intro]">
    <script state="run">
      <action>maincpu.pb@40143=30</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time [In Game]">
    <script state="run">
      <action>maincpu.pb@4013E=09</action>
      <action>maincpu.pb@4013F=59</action>
    </script>
  </cheat>

  <cheat desc="Finish Round Now!">
    <script state="on">
      <action>maincpu.pb@4013E=00</action>
      <action>maincpu.pb@4013F=00</action>
    </script>
  </cheat>

  <cheat desc="Powerful Mode"> <comment>Always 1 hit 1 down in Powerful Mode</comment>
    <script state="on">
      <action>temp0 =maincpu.pb@422F0</action>
    </script>
    <script state="run">
      <action>maincpu.pb@422F0=01</action>
    </script>
    <script state="off">
      <action>maincpu.pb@422F0=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Hard Mode"> <comment>Stronger CPU character in Hard Mode</comment>
    <script state="on">
      <action>temp0 =maincpu.pb@422F1</action>
    </script>
    <script state="run">
      <action>maincpu.pb@422F1=01</action>
    </script>
    <script state="off">
      <action>maincpu.pb@422F1=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@42096=20</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@42096=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@40044=00|(maincpu.pb@40044 BAND ~10)</action>
      <action>maincpu.pb@40044=00|(maincpu.pb@40044 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@42196=20</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@42196=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@40046=00|(maincpu.pb@40046 BAND ~10)</action>
      <action>maincpu.pb@40046=00|(maincpu.pb@40046 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL1 Shot1]Next Code</comment>
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pb@43008=F0</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="239" step="1"/>
    <script state="change">
      <action>maincpu.pb@40400=param</action>
      <action>maincpu.pw@4001A=0401</action>
      <action>maincpu.pw@4001E=0400</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
